# -*- coding:utf-8 -*-
# 作者：齐振鋆
# 日期：2023/3/27
# 描述:
import os

import pytest

from unit.public.DataDic import DataDic

dd = DataDic()


def py_run():
    tab_code = dd.get_value('tab')
    if tab_code is None:
        pytest.main(['cases/UI/{}/{}'.format(dd.get_value('project'), dd.get_value('module'))])
    else:
        pytest.main(
            ['cases/UI/{}/{}'.format(dd.get_value('project'), dd.get_value('module')), '-m', tab_code])
    # allure generate allure-results -o allure-report --clean
    os.system("allure generate allure-results -o allure-report --clean")